<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_835783a340b626fa2" . "50ace4c8d8249f7" => base64_decode("VW5hYmxlIH" . "RvIGNhc3Qg" . "Jw=="), "_6596b8f6a4969f9a3f6a1b22b90e93" . "31" => base64_decode("c3ByaW5" . "0Zg=="), "_5a13027a56ff426a18806baf1e5" . "3ce74" => base64_decode("Q29uZmlnVmF" . "sdWUgJw=="), "_3758af61703edea17ee38fab15" . "f99b56" => base64_decode("JyBjYW5ub3QgYmUgc2V0IHdpdGhvdXQgYW4ga" . "W5zdGFuY2Ugb2YgV3JpdGFibGVDb25maWc="), "_490fedd0c3" . "3685bd3a92a" . "23dfbdbe38c" => base64_decode("JyBDb25maWd" . "WYWx1ZSB0by" . "BzdHJpbmc="), "_44b97fb00" . "c5dc6204a2" . "e8b46429ce" . "109" => base64_decode("aXNfc3RyaW" . "5nYWJsZQ=="));
use RuntimeException;
use UnexpectedValueException;










class ConfigValue
{
    
    
    
    
    private Config $config;
    
    
    
    
    private string $key;
    
    
    
    
    private ?string $pattern;
    
    
    
    
    
    
    
    
    public function __construct(Config $config, string $key, ?string $_84e9b441a0415723346c265202959c32 = null)
    {
        $this->config = $config;
        $this->key = $key;
        $this->setPattern($_84e9b441a0415723346c265202959c32);
    }
    
    
    
    
    
    
    public function getValue()
    {
        return $this->config->get($this->key);
    }
    
    
    
    
    
    
    public function setValue($value)
    {
        if (!$this->config instanceof WritableConfig) {
            throw new RuntimeException($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_5a13027a5" . "6ff426a188" . "06baf1e53c" . "e74"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_3758af61703ede" . "a17ee38fab15f99" . "b56"]);
        }
        $this->config->set($this->key, $value);
    }
    
    
    
    
    
    
    public function getPattern() : ?string
    {
        return $this->pattern;
    }
    
    
    
    
    
    
    
    
    public function setPattern(?string $_84e9b441a0415723346c265202959c32)
    {
        $this->pattern = $_84e9b441a0415723346c265202959c32;
    }
    
    
    
    
    
    
    public function getProcessedValue() : string
    {
        $value = $this->getValue();
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_44b97fb00c5dc6204a2e8b46429" . "ce109"]($value)) {
            
            
            throw new UnexpectedValueException($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_835783a340b62" . "6fa250ace4c8d8" . "249f7"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_490fedd0c33685bd3a92a23df" . "bdbe38c"]);
        }
        if ($this->pattern && $value !== null) {
            $value = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_6596b8f6a496" . "9f9a3f6a1b22b" . "90e9331"]($this->pattern, $value);
        }
        return (string) $value;
    }
    
    
    
    
    
    
    
    
    
    public function __toString() : string
    {
        return $this->getProcessedValue();
    }
}